package com.ho.business.service;

import com.ho.business.entity.DeviceType;

import java.util.List;
import java.util.Set;

/**
 * @Description 针对表【device_type】的数据库操作Service
 * Author yule
 * Date 2022/8/31 11:09
 */
public interface DeviceTypeService {

    List<DeviceType> selectAll();

    DeviceType getOne(Integer pid);

    List<DeviceType> selectByIds(List<Integer> typeIds);

    List<DeviceType> selectByPids(Set<Integer> pIds);

    DeviceType selectByDeviceType(String  deviceType);

    List<DeviceType> selectName(List<String>  deviceTypeList);

}
